@use 'colors';
@use 'easings';

// Map color array
@function c($color) {
    @if map-has-key(colors.$colors, $color) {
        @return map-get(colors.$colors, $color);
    } @else {
        @error "Invalid color: `#{$color}`.";
    }
}

// Map easing array
@function e($easing) {
    @if map-has-key($map: easings.$easings, $key: $easing) {
        @return map-get($map: easings.$easings, $key: $easing);
    } @else {
        @error "Invalid easing property: `#{$easing}`.";
    }
}

// Convert px to rem
$remBase: 16 !default;
@function rem($value) {
    @return $value / $remBase * 1rem;
}

// Convert px to em
$emBase: 16 !default;
@function em($value) {
    @return $value / $emBase * 1em;
}
